org.apache.solr.client.solrj.request.schema

## Class SchemaRequest.ReplaceFieldType

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<SchemaResponse.UpdateResponse>
    - - org.apache.solr.client.solrj.request.schema.SchemaRequest.Update
      - - org.apache.solr.client.solrj.request.schema.SchemaRequest.ReplaceFieldType

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    SchemaRequest

      public static class SchemaRequest.ReplaceFieldType
      extends SchemaRequest.Update

  Replaces a field type in schema belonging to the schema of the specified collection. Note that the full definition for a field type must be supplied- this command will not partially modify a field type's definition. If the field type does not exist in the schema the method call `SolrRequest.process(SolrClient, String)` will fail.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplaceFieldType(FieldTypeDefinition fieldTypeDefinition)` Creates a new instance of the request.
    `ReplaceFieldType(FieldTypeDefinition fieldTypeDefinition, SolrParams q)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.solr.client.solrj.request.schema.SchemaRequest.Update

      `createResponse, getContentStreams`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest

      `getParams`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplaceFieldType

          public ReplaceFieldType(FieldTypeDefinition fieldTypeDefinition)

      Creates a new instance of the request.
      Parameters:
        `fieldTypeDefinition` - the field type definition
      See Also:
        Solr field types

    - #### ReplaceFieldType

          public ReplaceFieldType(FieldTypeDefinition fieldTypeDefinition,
                                  SolrParams q)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.